package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.OpInspectionTask;

import java.util.List;

/**
 * 巡检任务Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-29
 */
public interface OpInspectionPlanMapper {
    /**
     * 查询巡检任务
     *
     * @param id 巡检任务主键
     * @return 巡检任务
     */
    OpInspectionTask selectOpInspectionPlanById(Long id);

    /**
     * 查询巡检任务列表
     *
     * @param inspectionTask 巡检任务
     * @return 巡检任务集合
     */
    List<OpInspectionTask> selectOpInspectionPlanList(OpInspectionTask inspectionTask);

    /**
     * 新增巡检任务
     *
     * @param inspectionTask 巡检任务
     * @return 结果
     */
    int insertOpInspectionPlan(OpInspectionTask inspectionTask);

    /**
     * 修改巡检任务
     *
     * @param inspectionTask 巡检任务
     * @return 结果
     */
    int updateOpInspectionPlan(OpInspectionTask inspectionTask);

    /**
     * 删除巡检任务
     *
     * @param id 巡检任务主键
     * @return 结果
     */
    int deleteOpInspectionPlanById(Long id);

    /**
     * 批量删除巡检任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteOpInspectionPlanByIds(Long[] ids);
}
